## hurd 0.9.git20171119

=== Makefile ===
#
#   Copyright (C) 1993, 1994, 1995, 1996, 1997, 1998, 1999, 2001, 2002, 2004,
#   2006, 2009, 2011, 2012, 2013 Free Software Foundation, Inc.
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation; either version 2, or (at
#   your option) any later version.
#
#   This program is distributed in the hope that it will be useful, but
#   WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#   General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

dir := .
makemode := misc

DISTFILES := configure

include ./Makeconf

## Subdirectories of this directory should all be mentioned here

# Hurd libraries
lib-subdirs = libshouldbeinlibc libihash libiohelp libports libthreads \
	      libpager libfshelp libdiskfs libtrivfs libps \
	      libnetfs libpipe libstore libhurdbugaddr libftpconn libcons \
	      libhurd-slab \
	      libbpf \

# Hurd programs
prog-subdirs = auth proc exec term \
	       ext2fs isofs tmpfs fatfs \
	       storeio pflocal pfinet defpager mach-defpager \
	       login daemons boot console \
	       hostmux usermux ftpfs trans \
	       console-client utils sutils \
	       benchmarks fstests \
	       procfs \
	       startup \
	       init \
	       devnode \
	       eth-multiplexer \

ifeq ($(HAVE_SUN_RPC),yes)
prog-subdirs += nfs nfsd
endif

# Other directories
other-subdirs = hurd doc config release include

# All the subdirectories together
subdirs = $(lib-subdirs) $(prog-subdirs) $(other-subdirs)

# This allows the creation of a file BROKEN in any of the prog-subdirs;
# that will prevent this top level Makefile from attempting to make it.
working-prog-subdirs := $(filter-out \
			  $(patsubst %/,%,\
				 $(dir $(wildcard $(prog-subdirs:=/BROKEN)))),\
			  $(prog-subdirs))


$(subdirs): version.h

## GNU Coding Standards targets (not all are here yet), and some other
## similar sorts of things

all: $(lib-subdirs) $(working-prog-subdirs)

# Create a distribution tar file.

git_describe := git describe --match '*release*'
dist-version := $(shell cd $(top_srcdir)/ && $(git_describe))

.PHONY: dist
ifdef configured
dist: $(foreach Z,bz2 gz,$(dist-version).tar.$(Z))
else
dist:
	@echo >&2 'Cannot build a distribution from an unconfigured tree.'
	false
endif

HEAD.tar: FORCE
	cd $(top_srcdir)/ && git status --short \
	  | $(AWK) '{ print; rc=1 } END { exit rc }' \
	  || { echo >&2 \
		'Refusing to build a distribution from dirty sources.' && \
		false; }
	(cd $(top_srcdir)/ && git archive --prefix=$(dist-version)/ HEAD) > $@

ChangeLog.tar: gen-ChangeLog
	tar -c -f $@ --owner=0 --group=0 \
	  --transform='s%^%$(dist-version)/%' $(ChangeLog_files)

# See the ChangeLog file.
gitlog-to-changelog_rev = \
  2772f5c6a6a51cf946fd95bf6ffe254273157a21..
ChangeLog_files = \
  $(filter-out :%,$(subst :, :,$(ChangeLog_specs)))
ChangeLog_specs = \
  ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  auth/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  benchmarks/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  boot/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  config/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  console-client/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  console/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  daemons/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  defpager/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  doc/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  exec/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  ext2fs/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  fatfs/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  fstests/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  ftpfs/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  hostmux/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  hurd/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  include/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  init/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  isofs/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  libcons/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  libdirmgt/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  libdiskfs/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  libfshelp/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  libftpconn/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  libhurdbugaddr/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  libihash/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  libiohelp/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  libnetfs/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  libpager/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  libpipe/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  libports/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  libps/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  libshouldbeinlibc/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  libstore/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  libthreads/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  libtrivfs/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  login/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  mach-defpager/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  nfs/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  nfsd/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  pfinet/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  pflocal/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  proc/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  release/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  storeio/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  sutils/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  term/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  tmpfs/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  trans/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  usermux/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21 \
  utils/ChangeLog:2772f5c6a6a51cf946fd95bf6ffe254273157a21
# procfs
gitlog-to-changelog_rev += \
  ^aac4aaf42372f61c78061711916c81a9d5bcb42d~1
ChangeLog_specs += \
  procfs/ChangeLog:edb4593c38d421b5d538b221a991b50c36fdba15:ChangeLog
# random
gitlog-to-changelog_rev += \
  ^1ba2ed95690396bf081d0af043d878b26b8563c2~1
# Specify dummy ChangeLog file, will get overwritten.
ChangeLog_specs += \
  random/ChangeLog:HEAD:ChangeLog
.PHONY: gen-ChangeLog
gen-ChangeLog:
	$(AM_V_GEN)if test -d $(top_srcdir)/.git; then			\
	  rm -f $(ChangeLog_files) &&					\
	  (cd $(top_srcdir)/ &&						\
	  ./gitlog-to-changelog	--strip-tab				\
	    $(gitlog-to-changelog_rev) &&				\
	  echo) >> ChangeLog &&						\
	  (cd $(top_srcdir)/ &&						\
	  ./gitlog-to-changelog --strip-tab				\
	    edb4593c38d421b5d538b221a991b50c36fdba15..aac4aaf42372f61c78061711916c81a9d5bcb42d~1 && \
	  echo) >> procfs/ChangeLog &&					\
	  rm -f random/ChangeLog-1 &&					\
	  (cd $(top_srcdir)/ &&						\
	  ./gitlog-to-changelog --strip-tab				\
	    ac38884dc9ad32a11d09f55ba9fe399cd0a48e2f..1ba2ed95690396bf081d0af043d878b26b8563c2~1 && \
	  echo) >> random/ChangeLog-1 &&				\
	  for cs in $(ChangeLog_specs); do				\
	    f=$${cs%%:*} &&						\
	    s=$${cs#$$f:} && s_f=$$s:$$f && s=$${s_f/*:*:*/$$s} &&	\
	    (cd $(top_srcdir)/ &&					\
	    git show $$s) >> $$f					\
	    || exit $$?;						\
	  done &&							\
	  rm -f random/ChangeLog_ &&					\
	  (cd $(top_srcdir)/ &&						\
	  git ls-tree --name-only					\
	    ac38884dc9ad32a11d09f55ba9fe399cd0a48e2f) >> random/ChangeLog_ && \
	  rm -f random/ChangeLog-2 &&					\
	  perl \
	    -e 'print "2011-08-18  Gaël Le Mignot  <kilobug\@freesurf.fr>\n\n"; while(<>){s%^%\t* %;s%$$%: New file.%;print;}' \
	    < random/ChangeLog_ > random/ChangeLog-2 &&			\
	  cat random/ChangeLog-* > random/ChangeLog &&			\
	  rm random/ChangeLog?* &&					\
	  sed								\
	    -e 's%\* [ ]*%* procfs/%'					\
	    -e s%procfs/procfs/%procfs/%				\
	    -i procfs/ChangeLog &&					\
	  sed								\
	    -e 's%\* [ ]*%* random/%'					\
	    -i random/ChangeLog;					\
	fi

$(dist-version).tar: HEAD.tar $(addsuffix /dist-hook,hurd/.. $(subdirs)) ChangeLog.tar
	tar -c -f $@ --files-from=/dev/null
# Concatenate the tar files.  Have
# to do it one by one: <http://savannah.gnu.org/patch/?7757>.
	for f in HEAD.tar dist.tar */dist.tar ChangeLog.tar; do \
	  tar -v --concatenate -f $@ "$$f"; \
	done

clean: $(addsuffix -clean,$(subdirs)) clean-misc

relink: $(addsuffix -relink,$(lib-subdirs) $(prog-subdirs))

objs: $(addsuffix -objs,$(lib-subdirs) $(prog-subdirs))

install: $(addsuffix -install,$(lib-subdirs) $(working-prog-subdirs) \
	   $(other-subdirs))

install-headers: $(addsuffix -install-headers,$(lib-subdirs) \
		$(working-prog-subdirs)\
		$(other-subdirs))

TAGS: $(addsuffix -TAGS,$(working-prog-subdirs) $(lib-subdirs))
	etags -o $@ $(patsubst %-TAGS,-i %/TAGS,$^)

%.bz2: %
	bzip2 -9 < $< > $@

%.gz: %
	gzip -9n < $< > $@

## Targets used by the main targets above.
$(prog-subdirs) $(lib-subdirs): FORCE
	$(MAKE) -C $@ all
FORCE:

%-clean:
	$(MAKE) -C $* clean no_deps=t

%-relink:
	$(MAKE) -C $* relink no_deps=t

%-objs:
	$(MAKE) -C $* objs

%-install:
	$(MAKE) -C $* install

%-install-headers:
	$(MAKE) -C $* install-headers

%-TAGS:
	$(MAKE) -C $* TAGS no_deps=t

.PHONY: %/dist-hook
%/dist-hook:
	$(MAKE) -C $* dist-hook no_deps=t dist-version=$(dist-version)

.PHONY: clean-misc distclean
clean-misc:
	rm -f HEAD.tar ChangeLog.tar $(ChangeLog_files)

distclean: clean
	rm -f config.make config.log config.status config.cache
ifneq (.,${srcdir})
	rm -f Makefile
endif


## Directory dependencies
#
# Some directories depend on others, so we need to find out exactly
# what they are.  This does that for us.

ifneq ($(no_deps),t)
-include $(addsuffix .d,$(subdirs))
endif

# How to build them
$(addsuffix .d,$(subdirs)): %.d: $(top_srcdir)/%/Makefile
	$(MAKE) -C $* directory-depend no_deps=t


## Build system

AUTOCONF = autoconf
AUTOCONF_FLAGS = -I $(top_srcdir)

$(top_srcdir)/configure: $(top_srcdir)/configure.ac $(top_srcdir)/aclocal.m4
	$(AUTOCONF) $(AUTOCONF_FLAGS) $< > $@
	chmod +x $@

config.status: $(top_srcdir)/configure
	$(SHELL) $@ --recheck

config.make: config.status $(top_srcdir)/config.make.in
# No stamp file is used here, as config.make's timestamp changing will not have
# any far-reaching consequences.
	$(SHELL) $< --file=$@

version.h: stamp-version; @:
stamp-version: version.h.in config.make
	sed -e 's/MASTER_HURD_VERSION/\"$(package-version)\"/' \
	  < $< > version.h.new
	$(move-if-change) version.h.new version.h
	touch $@

=== include/Makefile ===
PKGDIR	?= ..
L4DIR	?= $(PKGDIR)

# Force these include files to appear in a special subfolder of dde/
INSTALL_INC_PREFIX = 

include $(L4DIR)/mk/Makeconf
-include $(PKGDIR_OBJ)/Makeconf

include $(L4DIR)/mk/include.mk

#ifeq ($(CONFIG_DDE26),y)
ifneq ($(BUILD_ARCH),amd64)
SUFFIX_amd64 = x86_64
SUFFIX_x86   = x86
SUFFIX_arm   = arm

# macro to establish a symlink to a dir if not already existing
MAKELINK = if [ ! $1 -ef $2 ] ; then ln -sf $3 $2 ; fi

BUILD_ARCH = x86
ARCH = $(BUILD_ARCH)

all::
	$(VERBOSE)$(call MAKELINK, \
		$(INSTALLDIR_LOCAL)/$(ARCH)/$(INSTALL_INC_PREFIX)/asm-$(SUFFIX_$(ARCH)),\
		$(INSTALLDIR_LOCAL)/$(ARCH)/$(INSTALL_INC_PREFIX)/asm, asm-$(SUFFIX_$(ARCH)))

install::
	$(VERBOSE)$(call MAKELINK, \
		$(INSTALLDIR)/$(ARCH)/$(INSTALL_INC_PREFIX)/asm-$(SUFFIX_$(ARCH)),\
		$(INSTALLDIR)/$(ARCH)/$(INSTALL_INC_PREFIX)/asm, asm-$(SUFFIX_$(ARCH)))
endif
#endif

=== libdiskfs/Makefile ===
#   Copyright (C) 1994,95,96,97,98,99,2000,01,2006,2012
#     Free Software Foundation, Inc.
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation; either version 2, or (at
#   your option) any later version.
#
#   This program is distributed in the hope that it will be useful, but
#   WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#   General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

dir := libdiskfs
makemode := library

libname = libdiskfs
FSSRCS= dir-chg.c dir-link.c dir-lookup.c dir-mkdir.c dir-mkfile.c \
	dir-readdir.c dir-rename.c dir-rmdir.c dir-unlink.c \
	file-access.c file-chauthor.c file-chflags.c file-chg.c \
	file-chmod.c file-chown.c file-exec.c file-get-fs-opts.c \
	file-get-trans.c file-get-transcntl.c file-getcontrol.c \
	file-getfh.c file-getlinknode.c file-lock-stat.c \
	file-lock.c file-set-size.c file-set-trans.c file-statfs.c \
	file-sync.c file-syncfs.c file-utimes.c file-reparent.c
IOSRCS= io-async-icky.c io-async.c io-duplicate.c io-get-conch.c io-revoke.c \
	io-map-cntl.c io-map.c io-modes-get.c io-modes-off.c \
	io-modes-on.c io-modes-set.c io-owner-mod.c io-owner-get.c \
	io-pathconf.c io-prenotify.c io-read.c io-readable.c io-identity.c \
	io-reauthenticate.c io-rel-conch.c io-restrict-auth.c io-seek.c \
	io-select.c io-stat.c io-stubs.c io-write.c io-version.c io-sigio.c
FSYSSRCS=fsys-getroot.c fsys-goaway.c fsys-startup.c fsys-getfile.c \
	fsys-options.c fsys-syncfs.c fsys-forward.c \
	fsys-get-children.c fsys-get-source.c
IFSOCKSRCS=ifsock.c
OTHERSRCS = conch-fetch.c conch-set.c dir-clear.c dir-init.c dir-renamed.c \
	extern-inline.c \
	node-create.c node-drop.c node-make.c node-rdwr.c node-update.c \
	node-nref.c node-nput.c node-nrele.c node-lastref.c node-nrefl.c \
	node-nputl.c node-nrelel.c node-cache.c \
	peropen-make.c peropen-rele.c protid-make.c protid-rele.c \
	init-init.c init-startup.c init-first.c init-main.c \
	rdwr-internal.c boot-start.c demuxer.c node-times.c shutdown.c \
	sync-interval.c sync-default.c \
	opts-set.c opts-get.c opts-std-startup.c opts-std-runtime.c \
        opts-append-std.c opts-common.c opts-runtime.c opts-version.c \
	trans-callback.c readonly.c readonly-changed.c \
	remount.c console.c disk-pager.c \
	name-cache.c direnter.c dirrewrite.c dirremove.c lookup.c dead-name.c \
	validate-mode.c validate-group.c validate-author.c validate-flags.c \
	validate-rdev.c validate-owner.c extra-version.c get-source.c
SRCS = $(OTHERSRCS) $(FSSRCS) $(IOSRCS) $(FSYSSRCS) $(IFSOCKSRCS)
installhdrs = diskfs.h diskfs-pager.h

MIGSTUBS = fsServer.o ioServer.o fsysServer.o exec_startupServer.o \
	fsys_replyUser.o fs_notifyUser.o ifsockServer.o \
	startup_notifyServer.o
OBJS = $(sort $(SRCS:.c=.o) $(MIGSTUBS))

HURDLIBS = fshelp iohelp store ports shouldbeinlibc pager ihash
LDLIBS += -lpthread

fsys-MIGSFLAGS = -imacros $(srcdir)/fsmutations.h -DREPLY_PORTS
fs-MIGSFLAGS = -imacros $(srcdir)/fsmutations.h
io-MIGSFLAGS = -imacros $(srcdir)/fsmutations.h
ifsock-MIGSFLAGS = -imacros $(srcdir)/fsmutations.h
exec_startup-MIGSFLAGS = -imacros $(srcdir)/fsmutations.h
MIGCOMSFLAGS = -prefix diskfs_

include ../Makeconf

=== libnetfs/Makefile ===
#   Copyright (C) 1995, 1996, 1997, 1999, 2001, 2002, 2008, 2012 Free Software
#   Foundation
#
#   Written by Michael I. Bushnell.
#
#   This file is part of the GNU Hurd.
#
#   The GNU Hurd is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation; either version 2, or (at
#   your option) any later version.
#
#   The GNU Hurd is distributed in the hope that it will be useful, but
#   WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#   General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

dir := libnetfs
makemode := library
libname = libnetfs

HURDLIBS = fshelp iohelp ports shouldbeinlibc
LDLIBS += -lpthread

FSSRCS= dir-link.c dir-lookup.c dir-mkdir.c dir-mkfile.c \
	dir-notice-changes.c dir-readdir.c dir-rename.c \
	dir-rmdir.c dir-unlink.c file-chauthor.c \
	file-check-access.c file-chflags.c file-chmod.c file-chown.c \
	file-exec.c file-get-fs-options.c file-get-storage-info.c \
	file-get-translator.c file-getcontrol.c file-getlinknode.c \
	file-lock-stat.c file-lock.c file-set-size.c \
	file-set-translator.c file-statfs.c file-sync.c file-syncfs.c \
	file-utimes.c file-reparent.c fsstubs.c	file-get-transcntl.c

IOSRCS=	io-read.c io-readable.c io-seek.c io-write.c io-stat.c io-async.c     \
	io-set-all-openmodes.c io-get-openmodes.c io-set-some-openmodes.c     \
	io-clear-some-openmodes.c io-mod-owner.c io-get-owner.c io-select.c   \
	io-get-icky-async-id.c io-reauthenticate.c io-restrict-auth.c	      \
	io-duplicate.c iostubs.c io-identity.c io-revoke.c io-pathconf.c      \
	io-version.c

FSYSSRCS= fsys-syncfs.c fsys-getroot.c fsys-get-options.c fsys-set-options.c \
	fsys-goaway.c fsysstubs.c fsys-get-children.c fsys-get-source.c

IFSOCKSRCS=
OTHERSRCS= drop-node.c init-init.c make-node.c make-peropen.c make-protid.c   \
	init-loop.c demuxer.c shutdown.c release-protid.c release-peropen.c   \
	init-startup.c startup-argp.c set-options.c append-args.c	      \
	runtime-argp.c std-runtime-argp.c std-startup-argp.c		      \
	append-std-options.c trans-callback.c set-get-trans.c		      \
	nref.c nrele.c nput.c file-get-storage-info-default.c dead-name.c     \
	get-source.c

SRCS= $(OTHERSRCS) $(FSSRCS) $(IOSRCS) $(FSYSSRCS) $(IFSOCKSRCS)

installhdrs=netfs.h

MIGSTUBS= ioServer.o fsServer.o fsysServer.o fsys_replyUser.o ifsockServer.o

OBJS=$(sort $(SRCS:.c=.o) $(MIGSTUBS))

fsys-MIGSFLAGS = -imacros $(srcdir)/mutations.h -DREPLY_PORTS
fs-MIGSFLAGS = -imacros $(srcdir)/mutations.h
io-MIGSFLAGS = -imacros $(srcdir)/mutations.h
ifsock-MIGSFLAGS = -imacros $(srcdir)/mutations.h
MIGCOMSFLAGS = -prefix netfs_


include ../Makeconf

fsysServer.c fsys_S.h fsServer.c fs_S.h ioServer.c io_S.h ifsockServer.c ifsock_S.h: mutations.h

=== libtrivfs/Makefile ===
#   Copyright (C) 1994, 1995, 1996, 1997, 1999, 2001, 2002, 2003, 2008, 2012
#   Free Software Foundation, Inc.
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation; either version 2, or (at
#   your option) any later version.
#
#   This program is distributed in the hope that it will be useful, but
#   WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#   General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

dir := libtrivfs
makemode := library

FSSRCS= dir-link.c dir-mkdir.c dir-mkfile.c dir-lookup.c dir-readdir.c \
	dir-rename.c dir-rmdir.c dir-unlink.c file-chauthor.c \
	file-chflags.c file-chmod.c file-chown.c file-get-trans.c \
	file-get-transcntl.c file-getcontrol.c file-getfh.c \
	file-getlinknode.c file-lock.c file-set-trans.c file-statfs.c \
	file-sync.c file-syncfs.c file-set-size.c file-utimes.c file-exec.c \
	file-access.c dir-chg.c file-chg.c file-get-storage-info.c \
	file-get-fs-options.c file-reparent.c \

IOSRCS=io-async-icky.c io-async.c io-duplicate.c io-map.c io-modes-get.c \
	io-modes-off.c io-modes-on.c io-modes-set.c io-owner-get.c \
	io-owner-mod.c io-pathconf.c io-read.c io-readable.c io-revoke.c \
	io-reauthenticate.c io-restrict-auth.c io-seek.c io-select.c \
	io-stat.c io-stubs.c io-write.c io-version.c io-identity.c

FSYSSRCS=fsys-getroot.c fsys-goaway.c fsys-stubs.c fsys-syncfs.c \
	fsys-forward.c fsys-set-options.c fsys-get-options.c \
	fsys-get-children.c fsys-get-source.c \

OTHERSRCS=demuxer.c protid-clean.c protid-dup.c cntl-create.c \
	cntl-clean.c times.c startup.c open.c \
	runtime-argp.c set-options.c append-args.c dyn-classes.c \
	get-source.c

SRCS=$(FSSRCS) $(IOSRCS) $(FSYSSRCS) $(OTHERSRCS)

MIGSTUBS=fsServer.o ioServer.o fsysServer.o fsys_replyUser.o

libname = libtrivfs
HURDLIBS = fshelp iohelp ports shouldbeinlibc
OBJS= $(sort $(subst .c,.o,$(SRCS)) $(MIGSTUBS))
MIGSFLAGS=-imacros $(srcdir)/mig-mutate.h
MIGCOMSFLAGS = -prefix trivfs_
installhdrs := trivfs.h
mig-sheader-prefix = trivfs_

include ../Makeconf

$(MIGSTUBS:%Server.o=%.sdefsi): $(srcdir)/mig-mutate.h

=== trans/Makefile ===
#
#   Copyright (C) 1994, 1995, 1996, 1997, 1999, 2000, 2001, 2002, 2006, 2007,
#   2008, 2013, 2014 Free Software Foundation, Inc.
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation; either version 2, or (at
#   your option) any later version.
#
#   This program is distributed in the hope that it will be useful, but
#   WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#   General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

dir := trans
makemode := servers

targets = symlink firmlink ifsock magic null fifo new-fifo fwd crash \
	  password hello hello-mt streamio fakeroot proxy-defpager remap \
	  mtab
SRCS = ifsock.c symlink.c magic.c null.c fifo.c new-fifo.c fwd.c \
	crash.c firmlink.c password.c hello.c hello-mt.c streamio.c \
	fakeroot.c proxy-defpager.c remap.c mtab.c
OBJS = $(SRCS:.c=.o) fsysServer.o ifsockServer.o passwordServer.o \
	crashServer.o crash_replyUser.o msgServer.o \
	default_pagerServer.o default_pagerUser.o \
	device_replyServer.o elfcore.o startup_notifyServer.o
HURDLIBS = ports netfs trivfs iohelp fshelp pipe ihash shouldbeinlibc
LDLIBS += -lpthread
password-LDLIBS = -lcrypt
password-MIGSFLAGS=\
    "-DIO_INTRAN=trivfs_protid_t trivfs_begin_using_protid (io_t)" \
    "-DIO_INTRAN_PAYLOAD=trivfs_protid_t trivfs_begin_using_protid_payload" \
    "-DIO_DESTRUCTOR=trivfs_end_using_protid (trivfs_protid_t)" \
    "-DPASSWORD_IMPORTS=import \"../libtrivfs/mig-decls.h\";"

ifsock-MIGSFLAGS=\
    "-DFILE_INTRAN=trivfs_protid_t trivfs_begin_using_protid (io_t)" \
    "-DFILE_INTRAN_PAYLOAD=trivfs_protid_t trivfs_begin_using_protid_payload" \
    "-DFILE_DESTRUCTOR=trivfs_end_using_protid (trivfs_protid_t)" \
    "-DIFSOCK_IMPORTS=import \"../libtrivfs/mig-decls.h\";"

# device_replyServer is used by the streamio translator.
device_reply-MIGSFLAGS=\
    "-DMACH_PAYLOAD_TO_PORT=ports_payload_get_name" \
    "-DDEVICE_IMPORTS=import \"$(srcdir)/../libports/ports.h\";"

# fsysServer is only used by the symlink translator which does not use
# libports.  Disable the default payload to port conversion.
fsys-MIGSFLAGS = "-DHURD_DEFAULT_PAYLOAD_TO_PORT=1"
fsysServer-CFLAGS = "-DMIG_EOPNOTSUPP=EOPNOTSUPP"

# If we have a configured tree, include the configuration so that we
# can conditionally build translators.
ifneq (,$(wildcard ../config.make))
 include ../config.make
endif

ifeq ($(HAVE_LIBGCRYPT),yes)
 SRCS += random.c
 targets += random
 random-LDLIBS = -lgcrypt
 random: startup_notifyServer.o mach_debugUser.o ../libtrivfs/libtrivfs.a
endif

include ../Makeconf

vpath elfcore.c $(top_srcdir)/exec

crash: crashServer.o crash_replyUser.o msgServer.o elfcore.o
ifsock: ifsockServer.o
mtab: fsysUser.o
password: passwordServer.o
proxy-defpager: default_pagerServer.o default_pagerUser.o
streamio: device_replyServer.o
symlink: fsysServer.o

fakeroot: ../libnetfs/libnetfs.a
fifo new-fifo: ../libpipe/libpipe.a
crash fifo firmlink hello hello-mt ifsock magic mtab new-fifo null password proxy-defpager remap streamio: ../libtrivfs/libtrivfs.a
$(targets): ../libfshelp/libfshelp.a \
	../libihash/libihash.a \
	../libiohelp/libiohelp.a \
	../libports/libports.a \
	../libshouldbeinlibc/libshouldbeinlibc.a

$(targets): %: %.o

=== utils/Makefile ===
#   Copyright (C) 1994,95,96,97,98,99,2000,01,02,12,14 Free Software Foundation,
#   Inc.
#
#   This program is free software; you can redistribute it and/or
#   modify it under the terms of the GNU General Public License as
#   published by the Free Software Foundation; either version 2, or (at
#   your option) any later version.
#
#   This program is distributed in the hope that it will be useful, but
#   WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#   General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program; if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

dir := utils
makemode := utilities

targets = shd ps settrans showtrans syncfs fsysopts \
	storeinfo login w uptime ids loginpr sush vmstat portinfo \
	devprobe vminfo addauth rmauth unsu setauth ftpcp ftpdir storecat \
	storeread msgport rpctrace mount gcore fakeauth fakeroot remap \
	umount nullauth rpcscan vmallocate

special-targets = loginpr sush uptime fakeroot remap
SRCS = shd.c ps.c settrans.c syncfs.c showtrans.c addauth.c rmauth.c \
	fsysopts.c storeinfo.c login.c loginpr.sh sush.sh w.c \
	uptime.sh psout.c ids.c vmstat.c portinfo.c devprobe.c vminfo.c \
	parse.c frobauth.c frobauth-mod.c setauth.c pids.c nonsugid.c \
	unsu.c ftpcp.c ftpdir.c storeread.c storecat.c msgport.c \
	rpctrace.c mount.c gcore.c fakeauth.c fakeroot.sh remap.sh \
	nullauth.c match-options.c msgids.c rpcscan.c

OBJS = $(filter-out %.sh,$(SRCS:.c=.o))
HURDLIBS = ps ihash store fshelp ports ftpconn shouldbeinlibc
LDLIBS += -lpthread
login-LDLIBS = -lutil -lcrypt
addauth-LDLIBS = -lcrypt
setauth-LDLIBS = -lcrypt
mount-LDLIBS = $(libblkid_LIBS)
mount-CPPFLAGS = $(libblkid_CFLAGS)

INSTALL-login-ops = -o root -m 4755
INSTALL-ids-ops = -o root -m 4755
INSTALL-ps-ops = -o root -m 4755
INSTALL-w-ops = -o root -m 4755

include ../Makeconf

ps addauth rmauth setauth unsu msgport: parse.o pids.o
login addauth setauth: nonsugid.o
addauth rmauth setauth unsu: frobauth.o
rmauth setauth unsu: frobauth-mod.o
ps w: psout.o ../libps/libps.a ../libihash/libihash.a
portinfo: ../libihash/libihash.a ../libps/libps.a

storeinfo storecat storeread: ../libstore/libstore.a
ftpcp ftpdir: ../libftpconn/libftpconn.a
mount umount: ../libihash/libihash.a
settrans: ../libfshelp/libfshelp.a ../libihash/libihash.a \
	../libports/libports.a
ps w ids settrans syncfs showtrans fsysopts storeinfo login vmstat portinfo \
  devprobe vminfo addauth rmauth setauth unsu ftpcp ftpdir storeread \
  storecat msgport mount umount nullauth rpctrace: \
	../libshouldbeinlibc/libshouldbeinlibc.a

$(filter-out $(special-targets), $(targets)): %: %.o

rpctrace: ../libports/libports.a
rpctrace rpcscan: msgids.o \
	  ../libihash/libihash.a
msgids-CPPFLAGS = -DDATADIR=\"${datadir}\"

fakeauth: authServer.o auth_requestUser.o interruptServer.o \
	  ../libports/libports.a ../libihash/libihash.a \
	  ../libshouldbeinlibc/libshouldbeinlibc.a
auth-MIGSFLAGS = -imacros $(srcdir)/../auth/mig-mutate.h
fakeauth-CPPFLAGS = -I$(srcdir)/../auth
authServer-CPPFLAGS = -I$(srcdir)/../auth
auth_requestUser-CPPFLAGS = -I$(srcdir)/../auth

mount umount: ../sutils/fstab.o ../sutils/clookup.o match-options.o \
       $(foreach L,fshelp ports,../lib$L/lib$L.a)
../sutils/fstab.o ../sutils/clookup.o: FORCE
	$(MAKE) -C $(@D) $(@F)
FORCE:

shd vmallocate: ../libshouldbeinlibc/libshouldbeinlibc.a

=== lib/src/Makefile ===
PKGDIR     ?= ../..
L4DIR      ?= $(PKGDIR)
CONTRIB    ?= $(PKGDIR)/contrib

include $(PKGDIR)/Makeconf.local
ifeq ($(origin SRC_DIR),undefined)
SRC_DIR        := $(shell pwd)
endif

ifeq ($(CONFIG_DDE26_COMMON),y)
TARGET += libdde_linux26.o.a
endif

ifeq ($(CONFIG_DDE26_NET),y)
TARGET += libdde_linux26_net.a
endif

ifeq ($(CONFIG_DDE26_BLOCK),y)
TARGET += libdde_linux26_block.a
endif

ifeq ($(CONFIG_DDE26_SOUND),y)
TARGET += libdde_linux26_sound.a
endif

ifeq ($(CONFIG_DDE26_CHAR),y)
TARGET += libdde_linux26_char.a
endif

ifeq ($(ARCH), x86)
ARCH_DIR = arch/x86
endif

ifeq ($(ARCH), arm)
ARCH_DIR = arch/arm
MARCH = realview
DEFINES += -D__LINUX_ARM_ARCH__=6
endif

# contrib sources are in $(CONTRIB)
vpath %.c     $(CONTRIB)
vpath %.S    $(CONTRIB)

PRIVATE_INCDIR += $(CONTRIB)/drivers/pci $(PKGDIR)/lib/src/arch/l4 \
                  $(CONTRIB)/$(ARCH_DIR)/pci $(CONTRIB)/drivers/base/ \
                  $(CONTRIB)/lib $(PKGDIR_OBJ) $(CONTRIB)/net/core $(CONTRIB)/fs

##################################################################
# Sources for libdde_linux.a                                     #
##################################################################
SRC_DDE = cli_sti.c fs.c hw-helpers.c init_task.c init.c pci.c power.c \
		  process.c res.c sched.c signal.c smp.c softirq.c timer.c \
          	  page_alloc.c kmem_cache.c kmalloc.c irq.c param.c \
		  vmalloc.c vmstat.c mm-helper.c

# our implementation
SRC_C_libdde_linux26.o.a = $(addprefix arch/l4/, $(SRC_DDE))

ifeq ($(ARCH), x86)
SRC_S_libdde_linux26.o.a += $(ARCH_DIR)/lib/semaphore_32.S
SRC_S_libdde_linux26.o.a += $(ARCH_DIR)/lib/delay.o
SRC_C_libdde_linux26.o.a += lib/rwsem.c
SRC_C_libdde_linux26.o.a += $(ARCH_DIR)/kernel/pci-dma.c
SRC_C_libdde_linux26.o.a += $(ARCH_DIR)/kernel/pci-nommu.c
SRC_C_libdde_linux26.o.a += $(ARCH_DIR)/kernel/setup.c
SRC_S_libdde_linux26_net.a += $(ARCH_DIR)/lib/checksum_32.S
endif

ifeq ($(ARCH), arm)
SRC_S_libdde_linux26.o.a += $(ARCH_DIR)/lib/changebit.S
SRC_S_libdde_linux26.o.a += $(ARCH_DIR)/lib/clearbit.S
SRC_S_libdde_linux26.o.a += $(ARCH_DIR)/lib/div64.S
SRC_S_libdde_linux26.o.a += $(ARCH_DIR)/lib/findbit.S
SRC_S_libdde_linux26.o.a += $(ARCH_DIR)/lib/memzero.S
SRC_S_libdde_linux26.o.a += $(ARCH_DIR)/lib/setbit.S
SRC_S_libdde_linux26.o.a += $(ARCH_DIR)/lib/testclearbit.S
SRC_S_libdde_linux26.o.a += $(ARCH_DIR)/lib/testchangebit.S
SRC_S_libdde_linux26.o.a += $(ARCH_DIR)/lib/testsetbit.S
SRC_C_libdde_linux26.o.a += $(ARCH_DIR)/kernel/semaphore.c
SRC_C_libdde_linux26.o.a += $(ARCH_DIR)/kernel/traps.c
SRC_C_libdde_linux26.o.a += $(ARCH_DIR)/mach-$(MARCH)/clock.c
SRC_C_libdde_linux26.o.a += $(ARCH_DIR)/mach-$(MARCH)/realview_eb.c
SRC_C_libdde_linux26.o.a += lib/rwsem-spinlock.c
SRC_C_libdde_linux26.o.a += drivers/amba/bus.c
endif

# + contrib stuff / slightly modified stuff
SRC_C_libdde_linux26.o.a += \
				kernel/dma.c \
				kernel/exit.c \
				kernel/kthread.c \
				kernel/mutex.c \
				kernel/notifier.c \
				kernel/rcupdate.c \
				kernel/rcuclassic.c \
				kernel/resource.c \
				kernel/rwsem.c \
				kernel/sched.c \
				kernel/semaphore.c \
				kernel/sys.c \
				kernel/time.c \
				kernel/timer.c \
				kernel/wait.c \
				kernel/workqueue.c \
				kernel/irq/handle.c \
				lib/bitmap.c \
				lib/bitrev.c \
				lib/crc32.c \
				lib/ctype.c \
				lib/cpumask.c \
				lib/devres.c \
				lib/find_next_bit.c \
				lib/hexdump.c \
				lib/idr.c \
				lib/iomap.c \
				lib/hweight.c \
				lib/kasprintf.c \
				lib/kernel_lock.c \
				lib/klist.c \
				lib/kobject.c \
				lib/kref.c \
				lib/parser.c \
				lib/proportions.c \
				lib/radix-tree.c \
				lib/scatterlist.c \
				lib/sha1.c \
				lib/string.c \
				lib/vsprintf.c \
				lib/rbtree.c \
				init/calibrate.c \
				mm/dmapool.c \
				mm/mempool.c \
				mm/swap.c \
				mm/util.c \
				drivers/base/attribute_container.c \
				drivers/base/bus.c \
				drivers/base/class.c \
				drivers/base/core.c \
				drivers/base/cpu.c \
				drivers/base/dd.c \
				drivers/base/devres.c \
				drivers/base/driver.c \
				drivers/base/init.c \
				drivers/base/map.c \
				drivers/base/platform.c \
				drivers/base/sys.c \
				drivers/pci/access.c \
				drivers/pci/bus.c \
				drivers/pci/hotplug-pci.c \
				drivers/pci/pci.c \
				drivers/pci/pci-driver.c \
				drivers/pci/probe.c \
				drivers/pci/search.c \
				drivers/pci/setup-bus.c \
				drivers/pci/setup-res.c \
				drivers/char/random.c

##################################################################
# Sources for libdde_linux_net.a                                 #
##################################################################
SRC_C_libdde_linux26_net.a += \
				arch/l4/net.c \
				mach_glue/net.c \
				drivers/net/mii.c \
				net/core/dev.c \
				net/core/dev_mcast.c \
				net/core/ethtool.c \
				net/core/link_watch.c \
				net/core/neighbour.c \
				net/core/netevent.c \
				net/core/net-sysfs.c \
				net/core/net_namespace.c \
				net/core/rtnetlink.c \
				net/core/skbuff.c \
				net/core/skb_dma_map.c \
				net/core/utils.c \
				net/ethernet/eth.c \
				net/sched/sch_generic.c

##################################################################
# Sources for libdde_linux_sound.a                               #
##################################################################
SRC_C_libdde_linux26_sound.a += \
				sound/sound_core.c \
				arch/l4/sound.c

##################################################################
# Sources for libdde_linux_block.a                               #
##################################################################
#
SRC_C_libdde_linux26_block.a += \
				arch/l4/inodes.c      \
				mach_glue/block.c \
				block/blk-barrier.c   \
				block/blk-core.c      \
				block/blk-exec.c      \
				block/blk-ioc.c       \
				block/blk-merge.c      \
				block/blk-settings.c      \
				block/blk-softirq.c \
				block/blk-sysfs.c      \
				block/blk-tag.c      \
				block/blk-timeout.c      \
				block/elevator.c      \
				block/genhd.c         \
				block/noop-iosched.c  \
				block/ioctl.c         \
				block/scsi_ioctl.c    \
				block/as-iosched.c    \
				block/cfq-iosched.c   \
				block/deadline-iosched.c  \
				mm/backing-dev.c      \
				mm/bounce.c           \
				mm/page-writeback.c   \
				fs/bio.c              \
				fs/block_dev.c        \
				fs/buffer.c           \
				fs/filesystems.c
##################################################################
# Sources for libdde_linux_char.a                               #
##################################################################
SRC_C_libdde_linux26_char.a += \
				arch/l4/inodes.c      \
				fs/char_dev.c

all::
lib/crc32.o : crc32table.h
lib/crc32.o : PRIVATE_INCDIR += .
kernel/time.o : timeconst.h
kernel/time.o : PRIVATE_INCDIR += .

timeconst.h : $(SRC_DIR)/kernel/timeconst.pl
	@$(GEN_MESSAGE)
	$(VERBOSE)$< 250 >$@

crc32table.h : gen_crc32table
	@$(GEN_MESSAGE)
	$(VERBOSE)./$< >$@

gen_crc32table : lib/gen_crc32table.c
	@$(GEN_MESSAGE)
	$(VERBOSE)$(HOST_CC) -O2 -o $@ $<

include $(PKGDIR)/Makeconf

include $(L4DIR)/mk/lib.mk

=== debian/changelog ===
hurd (1:0.9.git20171119-1) unstable; urgency=medium

  * New upstream snapshot.
  * control: Bump Standards-Version to 4.1.1 (no changes).

 -- Samuel Thibault <sthibault@debian.org>  Sun, 19 Nov 2017 13:24:00 +0000

hurd (1:0.9.git20170910-1) unstable; urgency=medium

  * New upstream snapshot.
    - Add libgcrypt20-dev build dependency.
  * control: Migrate priority to optional.
  * control: Bump Standards-Version to 4.1.0.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 10 Sep 2017 23:53:29 +0000

hurd (1:0.9.git20170507-1) unstable; urgency=medium

  * New upstream snapshot.
  * backport git-26e774bab06eab72847a7ca052a90d5319ad658a to fix glibc build.
  * backport git-019f9923e879ff326b14b2de04c6939c07ccb55b to drop spurious
    ext2fs warnings in d-i.
  * patches/exec_set_exe.patch: Avoid erroring out when proc does not support
    proc_set_exe.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 09 Jun 2017 19:25:32 +0000

hurd (1:0.9.git20170310-1) unstable; urgency=medium

  * New upstream snapshot.
  * Use canonical anonscm vcs URL.
  * patches/exec_set_exe.patch: Fix crash in procfs when exe is empty.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 09 Mar 2017 23:09:53 +0000

hurd (1:0.9.git20170304-1) unstable; urgency=medium

  * New upstream snapshot.
  * patches/exec_set_exe.patch: Copy exe value on fork. Closes: Bug#851729.

 -- Samuel Thibault <sthibault@debian.org>  Sat, 04 Mar 2017 20:10:51 +0000

hurd (1:0.9.git20170117-1) unstable; urgency=medium

  * New upstream snapshot.
  * patches/exec_set_exe.patch: New patch to implement /proc/<pid>/exe.
  * control: Break old versions of all gnumach packages for vm_wire_all.
  * debian/local/runsystem: Do not hardcode TERM_TYPE to virtual, fixes
    special handling of serial installation case.
  * patches/procfs: Drop revert patch, /proc/self support in libc is now ready.
  * control: Bump libc0.3 Breaks accordingly.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 17 Jan 2017 10:35:43 +0000

hurd (1:0.9.git20170102-1) unstable; urgency=medium

  * New upstream snapshot.
    - newRPC.patch: Update.
    - patches/procfs: New patch to revert /proc/self being magic for now since
    glibc is not ready yet.
    - control: Break old gnumachs, which do not have vm_wire_all, build-depend
    on newers.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 02 Jan 2017 17:47:46 +0000

hurd (1:0.9.git20161219-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream release.

  [ Svante Signell ]
  * Make hurd Depend on sysv-rc | openrc instead of just sysv-rc.

 -- Samuel Thibault <sthibault@debian.org>  Mon, 19 Dec 2016 15:51:26 +0000

hurd (1:0.8.git20161120-1) unstable; urgency=medium

  * New upstream snapshot.
  * Bump gnumach-dev build dependency.
  * disable_new_task_notification.diff: Drop, port leak is fixed.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 20 Nov 2016 21:48:56 +0000

hurd (1:0.8.git20161115-1) unstable; urgency=medium

  * New upstream snapshot.
    - patches/{console-wire.patch,time-fix.patch}: Drop, merged upstream.
  * control: Make hurd-prof Priority: extra instead of required.
  * local/setup-translators: Default crash server to dumping core.
  * rules: Disable pie hardening.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 15 Nov 2016 20:15:29 +0000

hurd (1:0.8.git20161023-3) unstable; urgency=medium

  * patches/console-wire.patch: Fix console hang on console data paging out.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 30 Oct 2016 20:36:29 +0000

hurd (1:0.8.git20161023-2) unstable; urgency=medium

  * patches/time-fix.patch: Fix timestamp update on file close.
    Closes: Bug#842271.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 27 Oct 2016 16:47:05 +0000

hurd (1:0.8.git20161023-1) unstable; urgency=medium

  [ Samuel Thibault ]
  * New upstream snapshot.
  * Drop gcc-5 Build-Depends, we already build with gcc-6 anyway.
    Closes: Bug#835948.
  * hurd.install.in: Install runsystem.hurd in /etc/hurd
  * patches/{libexec.patch,startup-usr-support.patch}: Update for
    runsystem.hurd. Closes: Bug#836529.
  * control: Don't build hurd-prof in noprof build profile.
  * control: Add missing lsb-base dependency.

  [ Kalle Olavi Niemitalo ]
  * patches/exec_filename_rpctrace.patch: rpctrace: Pass prefixed_name to
    _hurd_exec_file_name. Closes: Bug#835513.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 23 Oct 2016 22:23:11 +0000

hurd (1:0.8.git20160826-1) unstable; urgency=medium

  * New upstream snapshot, fixes loading small pic programs.
  * Fix screen-udeb by adding more ptys for d-i.

 -- Samuel Thibault <sthibault@debian.org>  Fri, 26 Aug 2016 01:05:01 +0000

hurd (1:0.8.git20160809-1) unstable; urgency=medium

  * New upstream snapshot. Closes: Bug#833557.

 -- Samuel Thibault <sthibault@debian.org>  Tue, 09 Aug 2016 21:54:42 +0000

hurd (1:0.8.git20160522-4) unstable; urgency=medium

  * patches/git-dd93fc4bfbaceb65ded2aefca35042438c95f4d5: Cherry-pick from
    upstream to fix nfs assertion failure.

 -- Samuel Thibault <sthibault@debian.org>  Thu, 02 Jun 2016 23:02:40 +0000

hurd (1:0.8.git20160522-3) unstable; urgency=medium

  * control: Bump Standards-Version to 3.9.8 (no change)
  * patches/git-malloc-hook: Cherry-pick from upstream to fix potential
    mach-defpager hang.
  * patches/git-293e86998748bae2d7a8179ad198ec3452f0d472: Cherry-pick from
    upstream to fix zero-byte pipe writes.

 -- Samuel Thibault <sthibault@debian.org>  Wed, 01 Jun 2016 21:17:45 +0000

hurd (1:0.8.git20160522-2) unstable; urgency=medium

  * patches/git-0ab3825f250486453892e3e18a702a44538bff6d: Cherry-pick fix
    from upstream.
  * patches/git-60d14f5b3c4ea27af6f4220a15947c328bc888ee: Cherry-pick fix
    from upstream, fixes some reference counting assertion failures.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 22 May 2016 13:41:50 +0000

hurd (1:0.8.git20160522-1) unstable; urgency=medium

  * New upstream release & snapshot.



=== debian/control ===
Source: hurd
Section: admin
Priority: required
Maintainer: GNU Hurd Maintainers <debian-hurd@lists.debian.org>
Standards-Version: 4.1.1
Build-Depends:
 mig (>= 1.4-3~) <!stage1 !stage2 !stage3>,
 gnumach-dev (>= 2:1.8+git20170102-1~) <!stage1 !stage2>,
 libc0.3-dev (>= 2.17-94~) <!stage1>, texinfo,
 debhelper (>= 9.20150628), dpkg-dev (>= 1.17.14), dh-exec (>= 0.17),
 autoconf, dh-autoreconf,
 gawk, flex, bison, autotools-dev,
 libgcrypt20-dev <!stage1 !stage2 !stage3>,
 libncursesw5-dev <!stage1 !stage2 !stage3>,
 libparted-dev <!stage1 !stage2 !stage3>,
 libpciaccess-dev <!stage1 !stage2 !stage3>,
 libx11-dev <!stage1 !stage2 !stage3>,
 x11proto-core-dev <!stage1 !stage2 !stage3>,
 pkg-config <!stage1 !stage2 !stage3>,
 xkb-data <!stage1 !stage2 !stage3>,
 libdaemon-dev <!stage1 !stage2 !stage3>,
 libpcap0.8-dev <!stage1 !stage2 !stage3>,
 zlib1g-dev <!stage1 !stage2 !stage3>,
 libbz2-dev <!stage1 !stage2 !stage3>,
 uuid-dev <!stage1 !stage2 !stage3>,
 libblkid-dev <!stage1 !stage2 !stage3>
Uploaders: Michael Banck <mbanck@debian.org>, 
 Samuel Thibault <sthibault@debian.org>
Homepage: http://www.gnu.org/software/hurd/hurd.html
Vcs-Browser: https://anonscm.debian.org/git/pkg-hurd/hurd.git
Vcs-Git: https://anonscm.debian.org/git/pkg-hurd/hurd.git

Package: hurd-libs0.3
Section: libs
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: netdde (<< 0.0.20121127-3+)
Architecture: hurd-any
Build-Profiles: <!stage1 !stage2>
Multi-Arch: same
Description: GNU Hurd (libraries)
 This package contains the libraries used by GNU Hurd.

Package: hurd
Essential: yes
Pre-Depends: hurd-libs0.3
Depends: ${misc:Depends}, lsb-base (>= 3.0-6), hurd-libs0.3 (= ${binary:Version}), sysv-rc <!stage3> | openrc <!stage3>, netdde (>= 0.0.20120518~) <!stage3>, ${shlibs:Depends}, xkb-data <!stage3>
Breaks: gnumach-image-1-486 (<< 2:1.8+git20170102-1~),
	gnumach-image-1-xen-486 (<< 2:1.8+git20170102-1~),
	gnumach-image-1.8-486 (<< 2:1.8+git20170102-1~),
	gnumach-image-1.8-486-dbg (<< 2:1.8+git20170102-1~),
	gnumach-image-1.8-xen-486 (<< 2:1.8+git20170102-1~),
	gnumach-image-1.8-xen-486-dbg (<< 2:1.8+git20170102-1~),
	libc0.3 (<< 2.24-9~), netdde (<< 0.0.20121127-2)
Built-Using: ${built-using}
Suggests: hurd-doc
Recommends: bf-utf-source
Provides: makedev, login, console-driver-xkb
Replaces: makedev, login (<< 1:4.0.14-4), random-egd, console-driver-xkb
Conflicts: makedev, login (<< 1:4.0.14-4), console-driver-xkb
Architecture: hurd-any
Build-Profiles: <!stage1 !stage2>
Description: GNU Hurd
 This is the GNU Hurd package. It contains essential system software and
 libraries.

Package: hurd-prof
Priority: optional
Pre-Depends: hurd-libs0.3
Depends: ${misc:Depends}, hurd-libs0.3 (= ${binary:Version}), ${shlibs:Depends}, xkb-data <!stage3>
Breaks: gnumach (<< 2:1.3.99.dfsg.cvs20070526-1), libc0.3 (<< 2.19-15~), netdde (<< 0.0.20121127-2)
Built-Using: ${built-using}
Suggests: hurd-doc
Recommends: bf-utf-source
Architecture: hurd-any
Build-Profiles: <!stage1 !stage2 !noprof>
Description: GNU Hurd
 This is the GNU Hurd package. It contains essential system software and
 libraries, with gprof profiling enabled.

Package: hurd-dev
Priority: standard
Section: libdevel
Architecture: hurd-any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends},
 libc0.3-dev (>= 2.13-31~) <!stage1>, hurd (= ${binary:Version}) <!stage3>
Provides: hurd-headers-dev, libihash-dev, libdde-linux26-dev <!stage3>
Replaces: hurd (<< 20130226-2~), hurd-headers-dev, libihash-dev
Breaks: hurd (<< 20130226-2~), hurd-headers-dev, libihash-dev
Build-Profiles: <!stage1 !stage2>
Description: GNU Hurd (development files)
 This package includes the header files and the static libraries.

# Dropped for now, see #818618 and #838392
#Package: hurd-headers-dev
#Priority: standard
#Section: libdevel
#Architecture: hurd-any
#Depends: ${misc:Depends}, ${shlibs:Depends}
#Build-Profiles: <stage1> <stage2>
#Description: GNU Hurd (development files)
# This package includes the header files and the static libraries.
# .
# This package is only used for bootstrap, it contains headers needed for libc
#
#Package: libihash-dev
#Priority: standard
#Section: libdevel
#Architecture: hurd-any
#Depends: ${misc:Depends}, ${shlibs:Depends}
#Build-Profiles: <stage2>
#Description: GNU Hurd (development files)
# This package includes the header files and the static libraries.
# .
# This package is only used for bootstrap, it contains libihash needed for libc.

Package: hurd-doc
Priority: optional
Section: doc
Architecture: all
Build-Profiles: <!stage1 !stage2>
Depends: ${misc:Depends}
Suggests: www-browser
Description: GNU Hurd manual
 This package includes the manual in info and HTML format.

Package: hurd-libs0.3-udeb
Section: debian-installer
Package-Type: udeb
Priority: optional
Architecture: hurd-any
Build-Profiles: <!noudeb !stage1 !stage2 !stage3>
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: GNU Hurd (libraries) - udeb
 This package contains the libraries used by GNU Hurd udeb.

Package: hurd-udeb
Package-Type: udeb
Priority: optional
Section: debian-installer
Architecture: hurd-any
Build-Profiles: <!noudeb !stage1 !stage2 !stage3>
Depends: ${misc:Depends}, ${shlibs:Depends}, hurd-libs0.3-udeb (= ${binary:Version}), xkb-data-udeb
Built-Using: ${built-using}
Provides: hurd, ext2-modules, fat-modules, ipv6-modules, isofs-modules, loop-modules, mouse-modules, nfs-modules, socket-modules
Description: GNU Hurd - udeb
 This is the GNU Hurd udeb package. It contains essential system software and
 libraries.

=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2003 Jeff Bailey <jbailey@debian.org>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
# 02111-1307 USA.

export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie

DEB_DESTDIR = $(CURDIR)/debian/tmp
DEB_DESTDIR_UDEB = $(CURDIR)/debian/tmp-udeb
DEB_DESTDIR_PROF = $(CURDIR)/debian/tmp-prof

TRANSLATORS_PROF = auth exec ext2fs pfinet pflocal proc procfs term

ifeq (,$(filter stage1 stage2 stage3,$(DEB_BUILD_PROFILES)))
CONFIGURE_ARGS = --disable-profile --enable-static-progs='ext2fs,iso9660fs'
else
CONFIGURE_ARGS = \
		 --disable-ncursesw \
		 --without-libbz2 \
		 --without-libz \
		 --without-parted
# Skip some checks because they expect
# a working glibc causing a circular dependency.
# TODO: rather disable the corresponding features in configure.ac
export ac_cv_lib_pciaccess_pci_system_init=no
  ifneq (,$(filter stage1 stage2,$(DEB_BUILD_PROFILES)))
export ac_cv_search_clnt_create=no
export ac_cv_func_file_exec_file_name=no
export ac_cv_func_exec_exec_file_name=no
export ac_cv_func__hurd_exec_file_name=no
export LEX=:
export YACC=:
export MIG=:
  endif
endif
CONFIGURE_ARGS_deb =
CONFIGURE_ARGS_udeb = --without-libdaemon --without-libbz2
SUID_PROGRAMS = /bin/ids /bin/login /bin/ps-hurd /usr/bin/w-hurd

DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

INSTALL_in := $(wildcard debian/*.install.in)
INSTALL_generated := $(patsubst %.in,%,$(INSTALL_in))

BUILT_USING := $(shell dpkg-query -f '$${source:Package} (= $${source:Version}), ' -W libc0.3-dev libparted-dev zlib1g-dev libbz2-dev uuid-dev libblkid-dev)

ifeq ($(DEB_BUILD_GNU_TYPE),$(DEB_HOST_GNU_TYPE))
       CC=gcc
else
       CC=$(DEB_HOST_GNU_TYPE)-gcc
endif

%:
	dh $@ -Bbuild-deb --with autotools_dev,autoreconf --parallel

override_dh_auto_configure:
	dh_auto_configure -Bbuild-deb -- $(CONFIGURE_ARGS) $(CONFIGURE_ARGS_deb) $(shell dpkg-buildflags --export=configure)
ifeq (,$(filter noprof,$(DEB_BUILD_PROFILES)))
	dh_auto_configure -Bbuild-prof -- $(CONFIGURE_ARGS) $(CONFIGURE_ARGS_deb) $(shell DEB_CFLAGS_APPEND=-pg dpkg-buildflags --export=configure)
endif
ifeq (,$(filter stage1 stage2 stage3 noudeb,$(DEB_BUILD_PROFILES)))
	dh_auto_configure -Bbuild-udeb -- $(CONFIGURE_ARGS) $(CONFIGURE_ARGS_udeb) $(shell dpkg-buildflags --export=configure)
endif

override_dh_auto_build:
ifneq (,$(filter stage1 stage2,$(DEB_BUILD_PROFILES)))
	:
  ifneq (,$(filter stage2,$(DEB_BUILD_PROFILES)))
	$(MAKE) -C build-deb/libihash libihash.a
  endif
else
  ifeq (,$(filter noudeb,$(DEB_BUILD_PROFILES)))
	dh_auto_build -Bbuild-udeb
  endif
	dh_auto_build -Bbuild-deb
ifeq (,$(filter noprof,$(DEB_BUILD_PROFILES)))
	dh_auto_build -Bbuild-prof
	for i in $(TRANSLATORS_PROF) ; do \
		$(MAKE) -C build-prof/$$i $$i.static ; \
	      done
endif
	cd build-deb/doc && make && makeinfo --html --split=chapter ../../doc/hurd.texi
  ifeq (,$(filter stage3,$(DEB_BUILD_PROFILES)))
	$(MAKE) -C libdde-linux26 BUILDDIR=$(CURDIR)/build-deb LDFLAGS= CC=$(CC)
  endif
endif

override_dh_auto_clean:
	dh_auto_clean -Bbuild-deb
ifeq (,$(filter noprof,$(DEB_BUILD_PROFILES)))
	dh_auto_clean -Bbuild-prof
endif
ifeq (,$(filter stage1 stage2 stage3 noudeb,$(DEB_BUILD_PROFILES)))
	dh_auto_clean -Bbuild-udeb
endif
	$(MAKE) -C libdde-linux26 cleanall
	rm -f $$(find libdde-linux26 -name \*.d)
	rm -fr libdde-linux26/build
	rm -fr libdde-linux26/lib/src/gen_crc32table libdde-linux26/lib/src/crc32table.h libdde-linux26/lib/src/timeconst.h
	rm -f $(INSTALL_generated)

override_dh_auto_install:
ifneq (,$(filter stage1 stage2,$(DEB_BUILD_PROFILES)))
	$(MAKE) -Cbuild-deb prefix=$(DEB_DESTDIR) install-headers no_deps=t
  ifneq (,$(filter stage2,$(DEB_BUILD_PROFILES)))
	$(MAKE) -Cbuild-deb/libihash libdir=$(DEB_DESTDIR)/lib/$(DEB_HOST_MULTIARCH) $(DEB_DESTDIR)/lib/$(DEB_HOST_MULTIARCH)/libihash.a
  endif
else
	dh_auto_install -Bbuild-deb -- prefix=$(DEB_DESTDIR) libdir=$(DEB_DESTDIR)/lib/$(DEB_HOST_MULTIARCH) libexecdir=$(DEB_DESTDIR)/lib/hurd sysconfdir=$(DEB_DESTDIR)/etc localstatedir=$(DEB_DESTDIR)/var XKB_BASE=$(DEB_DESTDIR)/usr/share/X11/xkb
ifeq (,$(filter noprof,$(DEB_BUILD_PROFILES)))
	install -d $(DEB_DESTDIR_PROF)/hurd
	for i in $(TRANSLATORS_PROF) ; do \
		install -m 755 build-prof/$$i/$$i.static $(DEB_DESTDIR_PROF)/hurd/$$i.prof ; \
	done
endif
ifeq (,$(filter noudeb,$(DEB_BUILD_PROFILES)))
	dh_auto_install -Bbuild-udeb -- prefix=$(DEB_DESTDIR_UDEB) libdir=$(DEB_DESTDIR_UDEB)/lib libexecdir=$(DEB_DESTDIR_UDEB)/lib/hurd sysconfdir=$(DEB_DESTDIR_UDEB)/etc localstatedir=$(DEB_DESTDIR_UDEB)/var XKB_BASE=$(DEB_DESTDIR_UDEB)/usr/share/X11/xkb
endif
  ifeq (,$(filter stage3,$(DEB_BUILD_PROFILES)))
	$(MAKE) -C libdde-linux26 INSTALLDIR=$(CURDIR)/debian/tmp/usr/share/libdde_linux26/build/include install
  endif

	# runsystem is managed by update-alternatives
	mv debian/tmp/lib/hurd/runsystem debian/tmp/lib/hurd/runsystem.gnu

	# move away fakeroot, ps, uptime, vmstat and w to not conflict with the
	# ones  from other packages
	mkdir -p debian/tmp/usr/bin
	mv debian/tmp/bin/fakeroot debian/tmp/usr/bin/fakeroot-hurd
	mv debian/tmp/bin/ps debian/tmp/bin/ps-hurd
	mv debian/tmp/bin/uptime debian/tmp/usr/bin/uptime-hurd
	mv debian/tmp/bin/vmstat debian/tmp/usr/bin/vmstat-hurd
	mv debian/tmp/bin/w debian/tmp/usr/bin/w-hurd
ifeq (,$(filter stage1 stage2 stage3 noudeb,$(DEB_BUILD_PROFILES)))
	mkdir -p debian/tmp-udeb/usr/bin
	mv debian/tmp-udeb/bin/ps debian/tmp-udeb/bin/ps-hurd
	mv debian/tmp-udeb/bin/uptime debian/tmp-udeb/usr/bin/uptime-hurd
	mv debian/tmp-udeb/bin/vmstat debian/tmp-udeb/usr/bin/vmstat-hurd
	mv debian/tmp-udeb/bin/w debian/tmp-udeb/usr/bin/w-hurd
endif

	# move away halt and reboot to not conflict with sysvinit
	# (they will be handled as alternatives)
	mv debian/tmp/sbin/halt debian/tmp/sbin/halt-hurd
	mv debian/tmp/sbin/reboot debian/tmp/sbin/reboot-hurd

	# remove PIC static libraries
	rm -f debian/tmp/lib/$(DEB_HOST_MULTIARCH)/*_pic.a
	rm -f debian/tmp-udeb/lib/*_pic.a
endif

override_dh_install: $(INSTALL_generated)
ifeq (,$(filter stage1 stage2 stage3 noudeb,$(DEB_BUILD_PROFILES)))
	dh_install $(addprefix -p,$(filter %-udeb,$(shell dh_listpackages))) --sourcedir=debian/tmp-udeb
endif
ifeq (,$(filter noprof,$(DEB_BUILD_PROFILES)))
	dh_install -phurd-prof --sourcedir=debian/tmp-prof
endif
	dh_install --remaining-packages --list-missing --sourcedir=debian/tmp
ifeq (,$(filter stage1 stage2 stage3 noudeb,$(DEB_BUILD_PROFILES)))
	mkdir -p debian/hurd-udeb/usr/share/lintian/overrides
	install -p -m644 debian/hurd-udeb.lintian-overrides debian/hurd-udeb/usr/share/lintian/overrides/hurd-udeb
endif

override_dh_installinit:
	dh_installinit -phurd --name=hurd-console
	dh_installinit --remaining-packages

override_dh_installchangelogs:
	dh_installchangelogs -XChangeLog

override_dh_strip:
ifeq (,$(filter stage1 stage2,$(DEB_BUILD_PROFILES)))
	dh_strip -phurd-libs0.3 -phurd --ddeb-migration='hurd-dbg (<< 1:0.7.git20160114-2~)'
endif
	dh_strip -Nhurd-prof --remaining-packages

override_dh_fixperms:
	dh_fixperms
ifeq (,$(filter stage1 stage2,$(DEB_BUILD_PROFILES)))
	chmod u+s $(patsubst %,$(CURDIR)/debian/hurd%,$(SUID_PROGRAMS))
endif

override_dh_makeshlibs:
	dh_makeshlibs -phurd-libs0.3 --add-udeb=hurd-libs0.3-udeb
	dh_makeshlibs --remaining-packages -Xusr/lib/hurd/

override_dh_gencontrol:
	dh_gencontrol -- -V"built-using=$(BUILT_USING)"

override_dh_clean:
